> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Employer Check Created Event

> POSTs request when an employer check is created from existing pending checks.

This endpoint specifies what will be sent to your 'Employer Check Created' Webhook. Zeal POSTs a request containing an Employer Check Object created from pending checks, at 2 PM PT. You can update the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

***

## Request Body

| attribute          | type    | description                                                                                                                                                                                                         |
| ------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| test               | boolean | Whether the employer check was created in Test Mode                                                                                                                                                                 |
| companyID          | string  | Zeal companyID of Employer                                                                                                                                                                                          |
| business\_name     | string  | Business Name of Employer                                                                                                                                                                                           |
| employerCheckID    | string  | Employer Check ID                                                                                                                                                                                                   |
| status             | string  | Will hold the following values: `pre-processed`                                                                                                                                                                     |
| reporting\_periods | array   | List of reporting periods contained in this employer check.<br />Show child attributes:<br />**reportingPeriodID** - type: string - description: Reporting Period ID                                                |
| totals             | object  | Totals for this employer check stored in an object<br />Show child attributes:<br />**gross\_pay** - type: number - description: Gross pay for employee (total pay before taxes)                                    |
| employee\_checks   | array   | List of all employee checks. Each object contains information regarding how each employee is paid for this payroll run (i.e. everything found on a paystub and more). See Employee Check Object for all attributes. |

***

## Returns

Doesn't return anything but rather POSTs the created Employer Check Object to your webhook URL.

***

## Raw Content Example

```json theme={null}
{
  "test": true,
  "companyID": "083472985",
  "business_name": "Test Company",
  "employerCheckID": "123456789",
  "status": "pre-processed",
  "reporting_periods": [
    "01739fc4cfd84c2e93dba5e802d1dda1"
  ],
  "createdAt": "2024-03-28T21:00:07Z",
  "totals": {
    "gross_pay": 40,
    "net_pay": 36.94,
    "total_employer_taxes": 3.06,
    "company_debit": 43.06,
    "total_employee_taxes": 3.06
  },
  "employee_checks": [
    {
      "employeeCheckID": "9827465739",
      "status": "pre-processed",
      "employeeID": "0987654321",
      "check_date": "2024-05-06T00:00:00Z",
      "is_salary": false,
      "approval_required": false,
      "approved": false,
      "first_name": "Peter",
      "middle_initial": null,
      "last_name": "Gregory",
      "reportingPeriodID": "01739fc4cfd84c2e93dba5e802d1dda1",
      "metadata": {},
      "disbursement": {
        "method": "direct_deposit",
        "history": []
      },
      "gross_pay": 40,
      "net_pay": null,
      "taxes": [],
      "total_employer_taxes": null,
      "total_employee_taxes": null,
      "totals": {
        "gross_earnings": 40,
        "gross_pay": 40,
        "net_pay": 36.94,
        "employer_taxes": 3.06,
        "employee_taxes": 3.06,
        "employee_deductions": null,
        "employee_garnishments": null,
        "employer_deductions": null,
        "company_debit": 43.06,
        "company_cash_requirement": 43.06
      },
      "shifts": [
        {
          "employeeID": "1234567890",
          "shiftID": "123456789",
          "employeeCheckID": "9827465739",
          "status": "pending",
          "first_name": "Peter",
          "last_name": "Gregory",
          "metadata": {},
          "wcc_code": null,
          "workLocationID": 34567890,
          "time": "2024-01-12T10:00:00",
          "hourly": {
            "hours": 2,
            "wage": 20
          }
        }
      ],
      "deductions": []
    }
  ],
  "timestamp": "2024-01-21T21:29:42Z"
}
```
